ImaReliability (Eclipse Amlen Javadoc Reference)

Package com.ibm.ima.plugin

## Enum ImaReliability

- Object
- - Enum<ImaReliability>
  - - com.ibm.ima.plugin.ImaReliability

- All Implemented Interfaces:
    `Serializable`, `Comparable<ImaReliability>`

      public enum ImaReliability
      extends Enum<ImaReliability>

  Define the reliability or quality of service of the message.

  This describes the reliability in the face of client or network failure. To maintain this reliability for qos1 and qos2 the message should also be persistent but reliability and persistence may be set independently.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `qos0` | The message might not be delivered and is not re-delivered (at most once)
    `qos1` | The message is re-delivered in case of an error or connection restart (at least once)
    `qos2` | The message is reliably delivered without duplicates (exactly once)

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `COPYRIGHT` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ImaReliability` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ImaReliability[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### qos0

          public static final ImaReliability qos0

      The message might not be delivered and is not re-delivered (at most once)

    - #### qos1

          public static final ImaReliability qos1

      The message is re-delivered in case of an error or connection restart (at least once)

    - #### qos2

          public static final ImaReliability qos2

      The message is reliably delivered without duplicates (exactly once)

  - ### Field Detail

    - #### COPYRIGHT

          public static final String COPYRIGHT

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static ImaReliability[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ImaReliability c : ImaReliability.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ImaReliability valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null